IntelliRasterImage Class Reference

The IntelliRasterImage manages a RASTERIMAGE. More...

`#include <IntelliRasterImage.h>`

Inheritance diagram for IntelliRasterImage:

## Public Member Functions

| IntelliRasterImage (int width, int height, bool fastRendererOn)
| The Construcor of the IntelliRasterImage. Given the Image dimensions. More...
virtual | ~IntelliRasterImage () override
| An Destructor. More...
virtual QImage | getDisplayable (const QSize &displaySize, int alpha) override
| A function returning the displayable ImageData in a requested transparence and size. More...
virtual QImage | getDisplayable (int alpha=255) override
| A function returning the displayable ImageData in a requested transparence and it's standart size. More...
virtual IntelliImage * | getDeepCopy () override
| A function that copys all that returns a [allocated] Image. More...
virtual void | setPolygon (const std::vector< QPoint > &polygonData) override
| An abstract function that sets the data of the visible Polygon, if needed. More...
virtual std::vector< QPoint > | getPolygon ()
| getPolygon More...
Public Member Functions inherited from IntelliImage
| IntelliImage (int width, int height, bool fastRendererOn)
| The Construcor of the IntelliImage. Given the Image dimensions. More...
virtual | ~IntelliImage ()=0
| An Abstract Destructor. More...
virtual void | drawPixel (const QPoint &p1, const QColor &color)
| A funtcion used to draw a pixel on the Image with the given Color. More...
virtual void | drawLine (const QPoint &p1, const QPoint &p2, const QColor &color, const int &penWidth)
| A function that draws a line between two given points in a given color. More...
virtual void | drawPoint (const QPoint &p1, const QColor &color, const int &penWidth)
| A function that draws a point between on a given point in a given color. More...
virtual void | drawPlain (const QColor &color)
| A function that clears the whole image in a given Color. More...
virtual std::vector< QPoint > | getPolygonData ()
| A function that returns the Polygondata if existent. More...
virtual ImageType | getTypeOfImage ()
virtual bool | loadImage (const QString &filePath)
| A function that loads and sclaes an image to the fitting dimensions. More...
virtual QColor | getPixelColor (QPoint &point)
| A function that returns the pixelcolor at a certain point. More...
virtual void | updateRendererSetting (bool fastRendererOn)
| updateRendererSetting updates the existing image format to the new format. More...
virtual QImage | getImageData ()
| getImageData returns the data of the current image (Note: It will allways return a ARGB32bit QImage!). More...
virtual void | setImageData (const QImage &newData)
| setImageData overwrites the old imageData the new imageData. More...
virtual int | getWidth () const
| getWidth returns the width of the Image. More...
virtual int | getHeight () const
| getHeight returns the height of the Image. More...
virtual bool | isFastRendering () const
| isFastRendering returns if the Image is in fast rendering mode. More...

## Protected Member Functions

virtual void | calculateVisiblity () override
| A function that calculates the visibility of the image if a polygon is given. [does nothing in RASTERIMAGE]. More...
Protected Member Functions inherited from IntelliImage
void | resizeImage (QImage *image, const QSize &newSize)

## Additional Inherited Members

Protected Attributes inherited from IntelliImage
QImage | imageData
| The underlying image data. More...
ImageType | TypeOfImage
| The Type, an Image is. More...
bool | fastRenderering
| fastRendering is the flag that represents the usage of 8bit pictures. More...

## Detailed Description

The IntelliRasterImage manages a RASTERIMAGE.

Definition at line 12 of file IntelliRasterImage.h.

## Constructor & Destructor Documentation

## IntelliRasterImage()

IntelliRasterImage::IntelliRasterImage | ( | int | width,
|  | int | height,
|  | bool | fastRendererOn
| ) |  |

The Construcor of the IntelliRasterImage. Given the Image dimensions.

Parameters

  width | - The width of the Image.
  height | - The height of the Image.
  fastRendererOn | - Represents the flag for 8bit picture handelling.

Definition at line 6 of file IntelliRasterImage.cpp.

## ~IntelliRasterImage()

IntelliRasterImage::~IntelliRasterImage | ( |  | ) |

overridevirtual

An Destructor.

Definition at line 12 of file IntelliRasterImage.cpp.

## Member Function Documentation

## calculateVisiblity()

void IntelliRasterImage::calculateVisiblity | ( |  | ) |

overrideprotectedvirtual

A function that calculates the visibility of the image if a polygon is given. [does nothing in RASTERIMAGE].

Implements IntelliImage.

Definition at line 23 of file IntelliRasterImage.cpp.

## getDeepCopy()

IntelliImage * IntelliRasterImage::getDeepCopy | ( |  | ) |

overridevirtual

A function that copys all that returns a [allocated] Image.

Returns
  A [allocated] Image with all the properties of the instance.

Implements IntelliImage.

Reimplemented in IntelliShapedImage.

Definition at line 16 of file IntelliRasterImage.cpp.

## getDisplayable() [1/2]

QImage IntelliRasterImage::getDisplayable | ( | const QSize & | displaySize,
|  | int | alpha
| ) |  |

overridevirtual

A function returning the displayable ImageData in a requested transparence and size.

Parameters

  displaySize | - The size, in whcih the Image should be displayed.
  alpha | - The maximum alpha value, a pixel can have.

Returns
  A QImage which is ready to be displayed.

Implements IntelliImage.

Reimplemented in IntelliShapedImage.

Definition at line 31 of file IntelliRasterImage.cpp.

## getDisplayable() [2/2]

QImage IntelliRasterImage::getDisplayable | ( | int | alpha = `255` | ) |

overridevirtual

A function returning the displayable ImageData in a requested transparence and it's standart size.

Parameters

  alpha | - The maximum alpha value, a pixel can have.

Returns
  A QImage which is ready to be displayed.

Implements IntelliImage.

Reimplemented in IntelliShapedImage.

Definition at line 27 of file IntelliRasterImage.cpp.

## getPolygon()

std::vector< QPoint > IntelliRasterImage::getPolygon | ( |  | ) |

virtual

getPolygon

Returns
  returns the points of the polygon

Reimplemented in IntelliShapedImage.

Definition at line 53 of file IntelliRasterImage.cpp.

## setPolygon()

void IntelliRasterImage::setPolygon | ( | const std::vector< QPoint > & | polygonData | ) |

overridevirtual

An abstract function that sets the data of the visible Polygon, if needed.

Parameters

  polygonData | - The Vertices of the Polygon. Nothing happens.

Implements IntelliImage.

Reimplemented in IntelliShapedImage.

Definition at line 49 of file IntelliRasterImage.cpp.

The documentation for this class was generated from the following files:

- src/Image/IntelliRasterImage.h
- src/Image/IntelliRasterImage.cpp